package org.me.funcionario;

public abstract class Funcionario {
    private String nome, sobrenome, CPF;
    
    public Funcionario(String nome, String sobrenome, String CPF)
    {
        this.nome = nome;
        this.sobrenome = sobrenome;
        this.CPF = CPF;
    }
    
    public void setNome(String n){nome = n;}
    public void setSobrenome(String sn){sobrenome = sn;}
    public void setCPF(String c){CPF = c;}
    
    public String getNome(){return this.nome;}
    public String getSobrenome(){return this.sobrenome;}
    public String getCPF(){return this.CPF;}
    
    @Override
    public String toString()
    {
        return String.format("\nNome: %s"
                + "\nSobrenome: %s"
                + "\nCPF: %s",
                getNome(),
                getSobrenome(),
                getCPF());
    }
    
    public abstract double calculoSalario();
    
}
