package org.me.exercicio;

public class Produto {
    private int codigo;
    private double preco;
    private String descr;

    public Produto(int codigo, double preco, String descr) {
        this.codigo = codigo;
        this.preco = preco;
        this.descr = descr;
    }

    public int getCodigo() {
        return codigo;
    }

    public double getPreco() {
        return preco;
    }

    public String getDescr() {
        return descr;
    }
    
    @Override
    public String toString()
    {
        return String.format(
        "\nCódigo: %d"
        + "\nPreço R$%.2f"
        + "\nDescrição %s",
                codigo,
                preco,
                descr
        );
    }
}
