package org.me.empregado;

public abstract class Empregado {
    private int codigo;
    private String nome;
    private double salarioBase;
    
    public Empregado(int codigo, String nome, double salarioBase)
    {
        this.codigo = codigo;
        this.nome = nome;
        this.salarioBase = salarioBase;
    }
    
    public void setCodigo(int codigo){this.codigo = codigo;}
    public void setNome(String nome){this.nome = nome;}
    public void setSalario(double salarioBase){this.salarioBase = salarioBase;}
    
    public int getCodigo(){return this.codigo;}
    public String getNome(){return this.nome;}
    public double getSalario(){return this.salarioBase;}
    
    public abstract void CalculoSalario();
    
    @Override
    public String toString()
    {
        return String.format("\nCódigo: %d"
                + "\n\tNome: %s"
                + "\n\tSalario Base: %.2f", 
                getCodigo(),
                getNome(),
                getSalario()
        );
    }
}
