package org.me.funcionario;
public class FuncionarioMensalista extends Funcionario{
    private double salMensal;

    public FuncionarioMensalista(String nome, String sobrenome, String CPF, double salMensal)
    {
        super(nome,sobrenome,CPF);
        this.salMensal = salMensal;
    }  
    
    public double getSalMensal() {
        return salMensal;
    }

    public void setSalMensal(double salMensal) {
        this.salMensal = salMensal < 0 ? 0 : salMensal;
    }
    
    @Override
    public double calculoSalario()
    {
        return salMensal;
    }
    
    @Override
    public String toString()
    {
        return String.format("%s"
                + "\nSalario Mensal: %.2f\n", 
                super.toString(),
                getSalMensal());
    }
    
}
